WhatsApp will stop working on these devices starting October 24

WhatsApp has informed that it will end support on at least 15 devices. This includes a lot of popular devices released in the past.

WhatsApp has stopped supporting older devices

WhatsApp regularly reviews support for different devices. This is the case now too. WhatsApp has announced that Android 5.0 Lollipop or later is now required for WhatsApp to work. The messaging service stopped supporting a number of devices on January 1, and a series of devices are now being added.

A newer device is required for WhatsApp, because only then will you be able to access new features, such as sending high-quality photos in WhatsApp.

As mentioned earlier, as of October 24, you’ll need a device running Android 5.0 Lollipop, Apple iOS 12, KaiOS 2.5.0 or higher. However, the following 16 models will not be supported as of that date.

If you are using a device with an older version of the Android operating system, it is always a good idea to look for a new smartphone. These devices lag behind in terms of security, privacy, and support, which can make it dangerous to continue using these devices as your primary device. A new smartphone does not have to cost a thousand euros, as we wrote in our buying advice with the best smartphone up to 300 euros.

WhatsApp Messenger
WhatsApp Messenger

See also  Codemasters presents the necessary gameplay GRID Legends

Winton Frazier

 "Amateur web lover. Incurable travel nerd. Beer evangelist. Thinker. Internet expert. Explorer. Gamer."

Leave a Reply

Your email address will not be published. Required fields are marked *